declare module 'src/lib/form-service-dynamic' {
  import { FormBuilder, FormGroup, ValidatorFn, AsyncValidatorFn } from '@angular/forms';

  export interface FieldConfig {
    value?: any;
    validations?: { [key: string]: any };
    asyncValidations?: { [key: string]: any };
    errorMessages?: { [error: string]: string };
    enabled?: boolean;
    customValidation?: ValidatorFn;
    asyncCustomValidation?: AsyncValidatorFn;
    requiredIf?: { condition: () => boolean };
  }

  export class FormServiceDynamic {
    constructor(formBuilder: FormBuilder);

    createForm<T extends Record<string, any>>(
      model: T,
      options?: { [campo: string]: FieldConfig }
    ): FormGroup;
  }
}
